package eu.mikroskeem.bot.maerahn.commands;

import eu.mikroskeem.bot.maerahn.Bot;
import org.slf4j.Logger;
import org.telegram.telegrambots.TelegramApiException;
import org.telegram.telegrambots.api.methods.send.SendMessage;
import org.telegram.telegrambots.api.objects.Chat;
import org.telegram.telegrambots.api.objects.User;
import org.telegram.telegrambots.bots.AbsSender;
import org.telegram.telegrambots.bots.commands.BotCommand;

public class ShrugCommand extends BotCommand {
    Logger logger;
    public ShrugCommand(Bot bot){
        super("shrug", "Send shrug");
        logger = bot.logger;
    }
    @Override public void execute(AbsSender absSender, User user, Chat chat, String[] strings) {
        SendMessage message = new SendMessage();
        message.setChatId(chat.getId().toString());
        message.setText("¯\\_(ツ)_/¯");
        try {
            absSender.sendMessage(message);
        } catch (TelegramApiException e){
            logger.error("Failed to send reply for /shrug command!");
            e.printStackTrace();
        }
    }
}